找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 724|回复: 4

[ARX程序]:如何得到AcDb3dPolyline的顶点,急!

[复制链接]
发表于 2003-8-12 10:58:11 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有账号?立即注册

×
请告诉我如何得到AcDb3dPolyline的顶点
谢谢
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
发表于 2003-8-12 11:02:32 | 显示全部楼层
以前论坛有不少关于这个的帖子,你用“Polyline”搜索下~
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

 楼主| 发表于 2003-8-12 11:17:36 | 显示全部楼层

求助一个函数void GetVetexPointOf3dPoly(AcDb3dPolyline* pCur,AcGePoint3dArray vertexPtA

求助一个函数void GetVetexPointOf3dPoly(AcDb3dPolyline* pCur,AcGePoint3dArray vertexPtArray)
我在论坛上找不到
谢谢
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2003-8-12 12:25:06 | 显示全部楼层
void GetVetexPointOf3dPoly(AcDb3dPolyline* pPly3d,AcGePoint3dArray& vertexPtArray)
{
        AcDbObjectIterator* pVertsIter=pPly3d->vertexIterator();
        AcDb3dPolylineVertex* pVertex=NULL;
        AcDbObjectId vertexId;
        for(;!pVertsIter->done();pVertsIter->step())
        {
                vertexId=pVertsIter->objectId();
                pPly3d->openVertex(pVertex,vertexId,AcDb::kForRead);
                vertexPtArray.append(pVertex->position());
        }
        delete pVertsIter;
}
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 1个

财富等级: 恭喜发财

发表于 2003-8-18 08:52:35 | 显示全部楼层

用getGripPoints似乎更简单

virtual Acad::ErrorStatus
getGripPoints(
    AcGePoint3dArray& gripPoints,
    AcDbIntArray& osnapModes,

    AcDbIntArray& geomIds) const;

gripPoints        Input a pre-existing array to append grip points to
Output with the entity's grip points appended
osnapModes        not currently in use
geomIds        not currently in use

Function usage
This function is not intended to be called by ObjectARX applications. However, it is possible to do so (for example, as a pass-through from the getStretchPoints() method).
Function implementation in derived classes
This function should append to the gripPoints array any points that are to treated as grip points for the entity.
The gripPoints array is passed to all entities involved in the grip operation, so the array may already contain grip points for other entities. Therefore, it is very important to append the new points rather than assigning them to any existing elements in the array.

When finished appending all desired grip points, return Acad::eOk. If anything other than Acad::eOk is returned, then grips are not activated for this entity.
The osnapModes and geomIds arguments are not currently used.
Default implementation
Immediately returns Adesk::eNotImplemented.
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|Archiver|手机版|小黑屋|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )

GMT+8, 2024-9-21 02:43 , Processed in 0.301671 second(s), 37 queries , Gzip On.

Powered by Discuz! X3.5

© 2001-2024 Discuz! Team.

快速回复 返回顶部 返回列表